/***************************************************************************
                          edgedata.h  -  description
                             -------------------
    begin                : Thu Mar 1 2001
    copyright            : (C) 2001 by Gleiss Petra Manuela
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EDGEDATA_H
#define EDGEDATA_H

#include "node.h"
#include "edge.h"

#include <list>
#include <string>


namespace graphlib {

/**
  *@internal
  */

class EdgeData
{
  public:
    //------------------------------------------------------ Constructor
    EdgeData() : label("") {;}

    //------------------------------------------------------ Datas
    string                     label;        // label of edge
    list<Node>                 nodes;        // nodes[0] = source,
                                             // nodes[1] = target
    EdgeIter                   pos;          // position in list of all edges
    list<EdgeIter>             adj_pos;      // positions in adjacency lists
                                             // first of source nodes

}; // class EdgeData

} // namespace graphlib
#endif // EDGEDATA_H

/* end of file */
