/***************************************************************************
                          logfile.cpp  -  description
                             -------------------
    begin                : Tue May 22 2001
    copyright            : (C) 2001 by Petra Gleiss
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "logfile.h"

namespace graphlib {

//---------------------------------------------------------------------------
// Con-/Destructors
//---------------------------------------------------------------------------
LogFile::~LogFile()
{
  if (out != 0)
  {
    out->close();
    delete out;
  }
}

void LogFile::init(string fname) throw(logic_error)
{
  out = new ofstream(fname.c_str(), ios::out | ios::trunc);

  if (out->bad() || out->fail())
    throw logic_error(("Can't open debug file "+fname+".").c_str());
}

void LogFile::reopen(string fname) throw(logic_error)
{
  out = new ofstream(fname.c_str(), ios::out | ios::app);

  if (out->bad() || out->fail())
    throw logic_error(("Can't reopen debug file "+fname+".").c_str());
}
//---------------------------------------------------------------------------
// Methods
//---------------------------------------------------------------------------
void LogFile::logging(string msg)
{
  (*out) << msg << flush;
}

} // namespace graphlib

/* end of file */
