/***************************************************************************
                          randcyclegraph.h  -  description
                             -------------------
    begin                : Sat Aug 4 2001
    copyright            : (C) 2001 by Gleiss Petra Manuela
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RANDCYCLEGRAPH_H
#define RANDCYCLEGRAPH_H

#include "cyclegraph.h"
#include "randomgraph.h"

namespace graphlib {

/**
  *@author Gleiss Petra Manuela
  */

class RandCycleGraph :  virtual public RandomGraph,
                        virtual public CycleGraph
{
  public:
    //------------------------------------------------------ Con-/Destructors
    /**
      * Constructor. Create a new graph with <code>nodes</code> nodes
      * and <code>edges</code> edges.
      * The <code>flag</code> specifies the kind of graph:
      *   Empty, Random, Hamiltionian, Bipartite, Complete.
      *
      * @param number of nodes
      * @param number of edges
      * @param GraphFlag
      */
    RandCycleGraph(unsigned nodes, unsigned edges, GraphFlag flag=Random);

    /**
      * Destructor. Deletes everything.
      */
    ~RandCycleGraph();
    
 private:
    /**
      * CopyConstructor -> not implemented
      */
    RandCycleGraph(const RandCycleGraph&);

    /**
      * Assignement operator -> not implemented
      */
    RandCycleGraph& operator=(const RandCycleGraph&);

  private:
    //------------------------------------------------------ Utilities

}; // class RandCycleGraph

} // namespace graphlib
#endif // RANDCYCLEGRAPH_H

/* end of file */
